Loading...
Searching...
No Matches
openshot::SampleRange Struct Reference

This struct holds a the range of samples needed by this frame. More...

`#include <FrameMapper.h>`

## Public Member Functions

void | Extend (int64_t samples, openshot::Fraction fps, int sample_rate, int channels, bool right_side)
| Extend SampleRange on either side.
void | Shift (int64_t samples, openshot::Fraction fps, int sample_rate, int channels, bool right_side)
void | Shrink (int64_t samples, openshot::Fraction fps, int sample_rate, int channels, bool right_side)
| Shrink SampleRange on either side.

## Public Attributes

int64_t | frame_end
int64_t | frame_start
int | sample_end
int | sample_start
int | total

## Detailed Description

This struct holds a the range of samples needed by this frame.

When frame rate is changed, the audio needs to be redistributed among the remaining frames. This struct holds the range samples needed by the this frame.

Definition at line 67 of file FrameMapper.h.

## Member Function Documentation

## Extend()

void openshot::SampleRange::Extend | ( | int64_t | samples,
|  | openshot::Fraction | fps,
|  | int | sample_rate,
|  | int | channels,
|  | bool | right_side
| ) |  |

inline

Extend SampleRange on either side.

Definition at line 76 of file FrameMapper.h.

Referenced by openshot::FrameMapper::GetFrame(), and Shift().

## Shift()

void openshot::SampleRange::Shift | ( | int64_t | samples,
|  | openshot::Fraction | fps,
|  | int | sample_rate,
|  | int | channels,
|  | bool | right_side
| ) |  |

inline

Definition at line 140 of file FrameMapper.h.

Referenced by openshot::FrameMapper::GetFrame().

## Shrink()

void openshot::SampleRange::Shrink | ( | int64_t | samples,
|  | openshot::Fraction | fps,
|  | int | sample_rate,
|  | int | channels,
|  | bool | right_side
| ) |  |

inline

Shrink SampleRange on either side.

Definition at line 108 of file FrameMapper.h.

Referenced by Shift().

## Member Data Documentation

## frame_end

int64_t openshot::SampleRange::frame_end

Definition at line 72 of file FrameMapper.h.

Referenced by Extend(), openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), openshot::FrameMapper::PrintMapping(), and Shrink().

## frame_start

int64_t openshot::SampleRange::frame_start

Definition at line 69 of file FrameMapper.h.

Referenced by Extend(), openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), openshot::FrameMapper::PrintMapping(), and Shrink().

## sample_end

int openshot::SampleRange::sample_end

Definition at line 73 of file FrameMapper.h.

Referenced by Extend(), openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), openshot::FrameMapper::PrintMapping(), and Shrink().

## sample_start

int openshot::SampleRange::sample_start

Definition at line 70 of file FrameMapper.h.

Referenced by Extend(), openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), openshot::FrameMapper::PrintMapping(), and Shrink().

## total

int openshot::SampleRange::total

Definition at line 155 of file FrameMapper.h.

Referenced by Extend(), openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), and Shrink().

The documentation for this struct was generated from the following file:

- FrameMapper.h